/**************************************************************************/
/* GF96 ( PG変更履歴 )                                                    */
/*                                                                        */
/* Created : 2012/03/27 19:47:25                                          */
/**************************************************************************/
CREATE TABLE GF96 (
   SYSTEM_ID VARCHAR(10)                              /* 10  システムID   */
 , PGID      VARCHAR(30)                NOT NULL      /* 20  PG-ID        */
 , SEQ       NUMERIC(7)     DEFAULT 0   NOT NULL      /* 30  順           */
 , DYHEN     VARCHAR(8)                               /* 40  日付         */
 , RIYU      BLOB                                     /* 50  理由         */
 , NAIYO     BLOB                                     /* 60  変更内容     */
 , PGSHU     VARCHAR(10)                              /* 70  修正者       */
 , PGKEN     VARCHAR(10)                              /* 80  検証者       */
 , UNIQ      BIGINT                     NOT NULL      /* 90  ユニークキー */
 , FGJ       VARCHAR(1)     DEFAULT '1' NOT NULL      /* 100 状態フラグ   */
 , DYSET     VARCHAR(14)                              /* 110 登録日時     */
 , PGSET     VARCHAR(10)                              /* 120 作成PG       */
 , PGPSET    VARCHAR(10)                              /* 130 作成親PG     */
 , USRSET    VARCHAR(10)                              /* 140 作成社員     */
 , DYUPD     VARCHAR(14)                              /* 150 更新日時     */
 , PGUPD     VARCHAR(10)                              /* 160 更新PG       */
 , PGPUPD    VARCHAR(10)                              /* 170 更新親PG     */
 , USRUPD    VARCHAR(10)                              /* 180 更新者       */
);

CREATE SEQUENCE GF96S00 ;


CREATE TRIGGER GF96T00 FOR GF96
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GF96S00,1 );
  END; 


