/**************************************************************************/
/* GF71 ( 画面関連状態テーブル )                                          */
/*                                                                        */
/* Created : 2012/03/27 19:47:16                                          */
/**************************************************************************/
CREATE TABLE GF71 (
   SYSTEM_ID   VARCHAR(10)                 NOT NULL      /* 10  システムID       */
 , ADDRESS     VARCHAR(256)                              /* 20  アドレス         */
 , PRE_FIX     VARCHAR(10)                 NOT NULL      /* 30  名前空間         */
 , FILENAME    VARCHAR(60)                               /* 40  ファイル名       */
 , FILEPATH    VARCHAR(256)                              /* 50  ファイルパス     */
 , MODIFIED    VARCHAR(14)                               /* 60  最終更新日       */
 , TAGNAME     VARCHAR(30)                               /* 70  タグ名称         */
 , TO_GAMENID  VARCHAR(30)                               /* 80  先画面ID         */
 , HREF        VARCHAR(256)                              /* 90  リンク先URL      */
 , TARGET      VARCHAR(10)                               /* 100 ターゲット       */
 , CLM         VARCHAR(30)                               /* 110 項目             */
 , P_KEYS      VARCHAR(500)                              /* 120 引数キー         */
 , P_VALS      VARCHAR(500)                              /* 130 引数値           */
 , USEGAMENID  VARCHAR(10)                               /* 140 画面使用         */
 , USEREDIRECT VARCHAR(10)                               /* 150 リダイレクト使用 */
 , TEXT_DATA   LONGVARCHAR                               /* 160 テキスト         */
 , FGOMIT      VARCHAR(1)      DEFAULT '0' NOT NULL      /* 170 除外フラグ       */
 , UNIQ        IDENTITY                                  /* 180 ユニークキー     */
 , FGJ         VARCHAR(1)      DEFAULT '1' NOT NULL      /* 190 状態フラグ       */
 , DYSET       VARCHAR(14)                               /* 200 登録日時         */
 , PGSET       VARCHAR(10)                               /* 210 作成PG           */
 , PGPSET      VARCHAR(10)                               /* 220 作成親PG         */
 , USRSET      VARCHAR(10)                               /* 230 作成社員         */
 , DYUPD       VARCHAR(14)                               /* 240 更新日時         */
 , PGUPD       VARCHAR(10)                               /* 250 更新PG           */
 , PGPUPD      VARCHAR(10)                               /* 260 更新親PG         */
 , USRUPD      VARCHAR(10)                               /* 270 更新者           */
);


